%define pypi_name plaster

Name:           python-%{pypi_name}
Version:        1.0
Release:        %mkrel 7
Summary:        A loader interface around multiple config file formats
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/plaster/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
plaster is a loader interface around multiple config file formats. It exists to
define a common API for applications to use when they wish to load
configuration. The library itself does not aim to handle anything except a
basic API that applications may use to find and load configuration settings.
Any specific constraints should be implemented in a pluggable loader which can
be registered via an entrypoint.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{pypi_name}
plaster is a loader interface around multiple config file formats. It exists to
define a common API for applications to use when they wish to load
configuration. The library itself does not aim to handle anything except a
basic API that applications may use to find and load configuration settings.
Any specific constraints should be implemented in a pluggable loader which can
be registered via an entrypoint.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/plaster
%{python3_sitelib}/plaster-%{version}-*.egg-info


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 1.0-7.mga9
+ Revision: 1823455
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 1.0-6.mga9
+ Revision: 1783348
- rebuild for python-3.10

* Tue Mar 23 2021 guillomovitch <guillomovitch> 1.0-5.mga9
+ Revision: 1708451
- rebuild for python 3.9

* Thu Jul 23 2020 ovitters <ovitters> 1.0-4.mga8
+ Revision: 1608292
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 1.0-3.mga8
+ Revision: 1534476
- Mageia 8 Mass Rebuild

* Thu Oct 03 2019 guillomovitch <guillomovitch> 1.0-2.mga8
+ Revision: 1449133
- new version 3.8
- drop python 2 support

* Mon Jul 01 2019 guillomovitch <guillomovitch> 1.0-1.mga8
+ Revision: 1417026
- imported package python-plaster

